Subject: 23.2; [M-x grep] match no longer coloured by default
From: [email-masked] (Trent W. Buck)
To: [email-masked]
Date: Tue, 18 May 2010 21:23:10 +1000
List-Id: <debbugs-submit.debbugs.gnu.org>

Today I upgraded Debian's Emacs package from 23.1+1-9 to 23.2+1-2.
After doing so, I noticed that M-x grep RET did not font-lock the match
area by default.  It *does* do so if I manually --color as an argument.

For example,

    -*- mode: grep; default-directory: "/usr/share/live-helper/helpers/" -*-
    Grep started at Tue May 18 21:11:13

    grep -nHr . -e LH_INITRAMFS --color
    ./binary_manifest:45:case "${LH_INITRAMFS}" in
    [...]

The LH_INITRAMFS on the fifth line has a blue background (the "match"
face) iff I add --color.  In 23.1 I didn't need to supply --color.

Note that in my environment, I have

    GREP_OPTIONS=--color=auto

Therefore, my initial guess is that Emacs is now calling grep
differently, or grep's --color=auto heuristic has changed recently.

I'm running GNU grep 2.6.3.

In GNU Emacs 23.2.1 (x86_64-pc-linux-gnu)
 of 2010-05-16 on barber, modified by Debian
configured using `configure  '--build' 'x86_64-linux-gnu' '--build' 'x86_64-linux-gnu' '--prefix=/usr' '--sharedstatedir=/var/lib' '--libexecdir=/usr/lib' '--localstatedir=/var/lib' '--infodir=/usr/share/info' '--mandir=/usr/share/man' '--with-pop=yes' '--enable-locallisppath=/etc/emacs23:/etc/emacs:/usr/local/share/emacs/23.2/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/23.2/site-lisp:/usr/share/emacs/site-lisp:/usr/share/emacs/23.2/leim' '--with-x=no' '--without-gconf' 'build_alias=x86_64-linux-gnu' 'CFLAGS=-DDEBIAN -g -O2' 'LDFLAGS=-g' 'CPPFLAGS=''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: C
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: en_AU.utf8
  value of $XMODIFIERS: nil
  locale-coding-system: utf-8-unix
  default enable-multibyte-characters: t

Major mode: Fundamental

Minor modes in effect:
  shell-dirtrack-mode: t
  rcirc-track-minor-mode: t
  xterm-mouse-mode: t
  ido-everywhere: t
  savehist-mode: t
  icomplete-mode: t
  partial-completion-mode: t
  show-paren-mode: t
  delete-selection-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
e l p RET C-x ESC O C C-x ESC O A C-s e m a c s ESC 
O B ESC [ 1 ~ ESC O B ESC O B ESC O B ESC O B ESC O 
B ESC O B ESC O B ESC O B ESC O B C-s - n ESC [ 1 ~ 
C-s - H ESC O B ESC [ 1 ~ ESC O B ESC O B ESC O B ESC 
O B ESC O B ESC O B ESC O B ESC O B ESC O B ESC O B 
ESC O B ESC O B ESC O B ESC O B ESC O B ESC O B ESC 
O B ESC O B ESC O B ESC O B ESC O B ESC O B ESC O B 
ESC O B ESC O B C-x ESC O B C-x ESC O D ESC x g r e 
p RET ESC O A ESC O A ESC b ESC b ESC b ESC [ 4 ~ SPC 
- - c o l o r RET C-x ESC O A O K , SPC t h a t ' s 
SPC w e i r d . RET I t SPC D T R T SPC i f SPC I SPC 
m a n u a l l y SPC p a s s SPC - - c o l o r RET C-x 
ESC O B C-x ESC O C ESC O B ESC O B ESC O B ESC O B 
ESC [ 4 ~ ESC b ESC b C-u C-x = C-x ESC O B ESC O D 
C-x C-g ESC x r e p o r t SPC e m a c s SPC b u g 
RET

Recent messages:
Grep finished (matches found)
Mark saved where search started
Char: t (116, #o164, #x74) point=203 of 4450 (5%) column=82
Char: o (111, #o157, #x6f) point=194 of 4450 (4%) column=73
Quit [2 times]
Mark saved where search started [3 times]
Grep finished (matches found)
Type "q" to restore this window.
Char: I (73, #o111, #x49) point=179 of 2152 (8%) column=32
When done with this frame, type C-x 5 0

Load-path shadows:
/usr/share/emacs/site-lisp/haskell-mode/inf-haskell hides /usr/share/emacs/23.2/site-lisp/haskell-mode/inf-haskell
/usr/share/emacs/site-lisp/haskell-mode/haskell-site-file hides /usr/share/emacs/23.2/site-lisp/haskell-mode/haskell-site-file
/usr/share/emacs/site-lisp/haskell-mode/haskell-simple-indent hides /usr/share/emacs/23.2/site-lisp/haskell-mode/haskell-simple-indent
/usr/share/emacs/site-lisp/haskell-mode/haskell-mode hides /usr/share/emacs/23.2/site-lisp/haskell-mode/haskell-mode
/usr/share/emacs/site-lisp/haskell-mode/haskell-indentation hides /usr/share/emacs/23.2/site-lisp/haskell-mode/haskell-indentation
/usr/share/emacs/site-lisp/haskell-mode/haskell-indent hides /usr/share/emacs/23.2/site-lisp/haskell-mode/haskell-indent
/usr/share/emacs/site-lisp/haskell-mode/haskell-hugs hides /usr/share/emacs/23.2/site-lisp/haskell-mode/haskell-hugs
/usr/share/emacs/site-lisp/haskell-mode/haskell-ghci hides /usr/share/emacs/23.2/site-lisp/haskell-mode/haskell-ghci
/usr/share/emacs/site-lisp/haskell-mode/haskell-font-lock hides /usr/share/emacs/23.2/site-lisp/haskell-mode/haskell-font-lock
/usr/share/emacs/site-lisp/haskell-mode/haskell-doc hides /usr/share/emacs/23.2/site-lisp/haskell-mode/haskell-doc
/usr/share/emacs/site-lisp/haskell-mode/haskell-decl-scan hides /usr/share/emacs/23.2/site-lisp/haskell-mode/haskell-decl-scan
/usr/share/emacs/site-lisp/haskell-mode/haskell-cabal hides /usr/share/emacs/23.2/site-lisp/haskell-mode/haskell-cabal
/usr/share/emacs/site-lisp/haskell-mode/haskell-c hides /usr/share/emacs/23.2/site-lisp/haskell-mode/haskell-c
/usr/share/emacs/23.2/site-lisp/puppet-el/puppet-mode hides /usr/share/emacs/site-lisp/puppet-mode
/usr/share/emacs/23.2/site-lisp/debian-startup hides /usr/share/emacs/site-lisp/debian-startup
/usr/share/emacs23/site-lisp/dictionaries-common/flyspell hides /usr/share/emacs/23.2/lisp/textmodes/flyspell
/usr/share/emacs23/site-lisp/dictionaries-common/ispell hides /usr/share/emacs/23.2/lisp/textmodes/ispell

Features:
(shadow sort mail-extr emacsbug descr-text help-mode dired-aux
vc-dispatcher vc-darcs cl cl-19 xml view sh-script executable grep
compile tool-bar tramp-imap assoc tramp-gw tramp-fish tramp-smb
tramp-cache tramp-ftp tramp-cmds tramp advice help-fns advice-preload
shell comint tramp-compat trampver multi-isearch windmove w3m-form
w3m-symbol url-util url-handlers url-parse url-vars ffap mule-util
w3m-cookie w3m-bookmark w3m-session w3m doc-view dired image-mode
w3m-hist w3m-fb w3m-ems w3m-ccl ccl w3m-favicon w3m-image w3m-proc
w3m-util browse-url parse-time timezone nndraft nnmh auth-source
gnus-agent gnus-srvr gnus-score score-mode nnvirtual gnus-msg gnus-art
image mm-uu mml2015 epg-config mm-view smime dig nntp gnus-cache
gnus-sum nnoo gnus-group gnus-undo nnmail mail-source format-spec
gnus-start gnus-spec gnus-int gnus-range message sendmail regexp-opt
ecomplete rfc822 mml easymenu mml-sec password-cache mm-decode mm-bodies
mm-encode mailcap mail-parse rfc2231 rfc2047 rfc2045 qp ietf-drums
mailabbrev gmm-utils mailheader canlock sha1 hex-util hashcash gnus-win
gnus gnus-ems nnheader gnus-util netrc mail-utils mm-util mail-prsvr
wid-edit disp-table rcirc time-date ring server jka-compr edmacro kmacro
xt-mouse ido savehist icomplete complete paren delsel saveplace
debian-el debian-el-loaddefs w3m-load emacs-goodies-el
emacs-goodies-custom emacs-goodies-loaddefs easy-mmode dpkg-dev-el
dpkg-dev-el-loaddefs ediff-hook vc-hooks lisp-float-type lisp-mode
register page menu-bar rfn-eshadow timer select mldrag mouse jit-lock
font-lock syntax facemenu font-core frame cham georgian utf-8-lang
misc-lang vietnamese tibetan thai tai-viet lao korean japanese hebrew
greek romanian slovak czech european ethiopic indian cyrillic chinese
case-table epa-hook jka-cmpr-hook help simple abbrev loaddefs button
minibuffer faces cus-face files text-properties overlay md5 base64
format env code-pages mule custom widget hashtable-print-readable
backquote make-network-process dbusbind multi-tty emacs)